<div id="header">
  <app-header></app-header>
</div>

<div class="container-fluid">
  <div id="content-wrapper" class="d-flex flew-row">
    <div id="sidebar"><app-sidebar></app-sidebar></div>
    <div id="main-content-wrapper" class="container-fluid">
      <div id="navigation-wrapper" class="d-flex flew-row justify-content-between p-2">
        <div id="navigation"></div>
        <div id="welcome">{{ username }}</div>

        <div class="container" id="main-container-gestionnaire-roles">
          <div class="row">
            <div *ngFor="let utilisateur of utilisateurs" class="col-md-6 col-xl-3">
              <div class="card m-b-30">
                <div class="card-body row">
                  <div class="col-6">
                    <div class="picture d-flex justify-content-center align-items-center">{{utilisateur?.nom | slice:0:1 }}{{utilisateur?.prenom  | slice:0:1 }}</div>
                  </div>
                  <div class="col-6 card-title align-self-center mb-0">
                    <h5>{{utilisateur?.nom}} {{utilisateur?.prenom}}</h5>
                    <p class="m-0">{{utilisateur?.role?.role}}</p>
                  </div>
                </div>
                <ul class="list-group list-group-flush">
                  <li class="list-group-item" ><i class="fa fa-envelope float-right" aria-hidden="true"></i>Email : <a href="#">{{utilisateur?.mail}}</a></li>
                </ul>
                <div class="card-body">
                  <div class="float-right btn-group btn-group-sm">
                    <a (click)="open(content, utilisateur)" class="btn btn-primary tooltips me-3" data-placement="top" data-toggle="tooltip" data-original-title="Edit"><i aria-hidden="true" [style.color]="'white'" class="fa fa-pencil"></i> </a>
                    <a (click)="openProjet(pascontent, utilisateur)" class="btn btn-primary tooltips" data-placement="top" data-toggle="tooltip" data-original-title="Add"><i aria-hidden="true" [style.color]="'white'" class="fa fa-add"></i></a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <ng-template #pascontent let-modal>
          <div class="modal-header">
              <h1>Ajouter un utilisateur a un projet</h1>
             <form #addProjetMembre="ngForm" >
               <input type="hidden" ngModel="{{utilisateurProjet.id}}" name="utilisateur" class="utilisateur" id="utilisateur">
               <label for="projet" >Selectionner un projet</label>
                <div class="d-flex flex-row">
              <select ngModel="" name="projet" class="form-control" id="projet">
                <option value="">Selectionner un projet...</option>
                <option *ngFor="let projet of projetsList; index as index"  [value]="projet.id" (click)="setProjet(projet)">{{projet?.nom}}</option>
              </select>
                <button type="button" (click)="addProjet(pascontent, addProjetMembre?.value)" class="btn btn-primary tooltips"><i aria-hidden="true" [style.color]="'white'" class="fa fa-add"></i></button>
              </div>
              </form>
          </div>
        </ng-template>




        <ng-template #content let-modal>
          <div class="modal-header">
            <h4 class="modal-title" id="modal-basic-title">Profile update</h4>
            <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
          </div>


          <div class="modal-body" id="updateUtilisateurModal" tabindex="-1" role="dialog" aria-labelledby="utilisateurEditModalLabel" aria-hidden="true">
            <form #editForm="ngForm">
              <div class="form-group">

                <label for="nom">Nom</label>
                <input type="text" ngModel="{{editUtilisateur?.nom}}" name="nom" class="form-control" id="nom" aria-describedby="emailHelp" placeholder="Nom">

                <label for="prenom">Prenom</label>
                <input type="text" ngModel="{{editUtilisateur?.prenom}}" name="prenom" class="form-control" id="prenom" placeholder="Prenom">

                <label for="mail">Adresse Mail</label>
                <input type="text" ngModel="{{editUtilisateur?.mail}}" name="mail" class="form-control" id="mail" placeholder="email@email.email">

                <label for="role">Rôles</label>
                <select ngModel="{{editUtilisateur?.role?.id}}" name="role" class="form-control" id="role">
                  <option value="">Selectionner un rôle...</option>
                  <option value=4 [selected]="editUtilisateur?.role?.id==4">Béta Testeur</option>
                  <option value=3 [selected]="editUtilisateur?.role?.id==3">Developpeur</option>
                  <option value=2 [selected]="editUtilisateur?.role?.id==2">Chef Projet</option>
                  <option value=1 [selected]="editUtilisateur?.role?.id==1">Admin</option>
                </select>

              </div>
            </form>
          </div>


          <div class="modal-footer">
            <button type="button" class="btn btn-outline-dark" id="" (click)="onUpdateUtilisateur(content, editForm?.value)">Enregistrer</button>
          </div>
        </ng-template>

      </div>
    </div>
  </div>
</div>


